Bug 82969 - MENU: Addition of AutoSpellcheck to Tools menu
Summary: MENU: Addition of AutoSpellcheck to Tools menu
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:4.4.0 target:4.5.0 target:4.4....
Keywords:
Depends on:
Blocks: Writer-Toolbars
  Show dependency treegraph
 
Reported: 2014-08-22 19:59 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-06-27 14:44 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-08-22 19:59:00 UTC
The enabling/disabling of AutoSpellcheck is available only in the standard toolbar and it should also be available in the tools menu.
Comment 1 Jean-Baptiste Faure 2014-08-24 09:22:47 UTC
Valid enhancement. Set status to NEW.

Note: another way to activate autospellcheck is to Tools > Options > Language Settings > Writing Aids > check the convenient checkboxes in Options bloc.

Best regards. JBF
Comment 2 Yousuf Philips (jay) (retired) 2014-08-24 10:04:49 UTC
Thanks for the note. Imagine if the user had to go all the way there and click 'check spelling as you type' every time they wanted to enable/disable autospelling. :)
Comment 3 Yousuf Philips (jay) (retired) 2014-08-30 12:20:46 UTC
@Samuel: Mirek had disagreed of putting them under a 'Spelling' menu in bug 81475 comment 12, so simply just add it underneath 'Spelling and Grammar' in the main tools menu.
Comment 4 Yousuf Philips (jay) (retired) 2014-08-30 13:16:53 UTC
It would be good if we can assign a shortcut key for this. @JBF: do you have any recommendations.
Comment 5 Yousuf Philips (jay) (retired) 2014-08-30 13:40:39 UTC
I was think that Ctrl+Shift+F7 might be a good choice, as F7 is for Spelling and Grammar and Ctrl+F7 is for Thesaurus.
Comment 6 Thomas Arnhold 2014-08-31 16:49:50 UTC
Patchset is here: https://gerrit.libreoffice.org/#/c/11201/

Please comment :)
Comment 7 Thomas Arnhold 2014-08-31 16:54:09 UTC
Jay: Cntrl+Shift+F7 doesn't seem possible since this starts the spellcheck (Windows).

Please note that there's an inconsistency between writer and all other components. Writer uses "Spelling and Grammar" as menu entry, all other components only "Spelling". Moreover the Auto spellcheck option is added only for writer with the gerrit patchset.
Comment 8 Yousuf Philips (jay) (retired) 2014-08-31 20:25:39 UTC
(In reply to comment #7)
> Jay: Cntrl+Shift+F7 doesn't seem possible since this starts the spellcheck
> (Windows).

Just tested on Windows 7 and it doesnt do anything.

> Please note that there's an inconsistency between writer and all other
> components. Writer uses "Spelling and Grammar" as menu entry, all other
> components only "Spelling". Moreover the Auto spellcheck option is added
> only for writer with the gerrit patchset.

Yes this bug was just for writer, in order to continue progress on improving writer's toolbar, though i guess it could be expanded to include calc, impress and draw.
Comment 9 Thomas Arnhold 2014-09-01 06:48:14 UTC
> (In reply to comment #7)
> > Jay: Cntrl+Shift+F7 doesn't seem possible since this starts the spellcheck
> > (Windows).
> 
> Just tested on Windows 7 and it doesnt do anything.

Sorry. Please check it with draw or impress (I don't know why it is set there). I don't exactly know if it really does nothing for writer, because for a moment I get the hourglass mouse cursor...

> > Please note that there's an inconsistency between writer and all other
> > components. Writer uses "Spelling and Grammar" as menu entry, all other
> > components only "Spelling". Moreover the Auto spellcheck option is added
> > only for writer with the gerrit patchset.
> 
> Yes this bug was just for writer, in order to continue progress on improving
> writer's toolbar, though i guess it could be expanded to include calc,
> impress and draw.

And we should come to a consensus if we use "Spelling and Grammar" or "Spelling".
Comment 10 Yousuf Philips (jay) (retired) 2014-09-01 10:06:39 UTC
(In reply to comment #9)
> Sorry. Please check it with draw or impress (I don't know why it is set
> there). I don't exactly know if it really does nothing for writer, because
> for a moment I get the hourglass mouse cursor...

Yes it does effect impress and i see the hourglass cursor for a milisecond in writer, but if i assign Ctrl+Shift+F7 to AutoSpellcheck in impress & writer, it works correctly.

> And we should come to a consensus if we use "Spelling and Grammar" or
> "Spelling".

Well the wording of 'Spelling and Grammar' would need to opened in another bug and it is an 'Inherited from OOo' issue. In order to limit translation repetition, the string reference used in writer, should be put in the other apps.
Comment 11 Jean-Baptiste Faure 2014-09-03 05:18:23 UTC
You can easily check if a shortcut is already assigned in a module: open this module, menu Tools > Customize > tab Keyboard.

Best regards. JBF
Comment 12 Thomas Arnhold 2014-09-03 06:55:59 UTC
Thanks JBF. My feeling was right, that there's something happening with this shortcut: 

For writer it is not set, but for LibreOffice global Cntrl+Shift+F7 is Hangul/Hanja Conversion. So this shortcut is already in use.
Comment 13 Commit Notification 2014-09-03 07:12:46 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f83274a2579553efc347c1080d19f0734b0d4358

fdo#82969 Add AutoSpellcheck to tools menu



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Yousuf Philips (jay) (retired) 2014-09-03 12:09:57 UTC
Well there should be some indication in the individual apps that does show that a shortcut is set in libreoffice global. So whats the solution to this now?
Comment 15 Yousuf Philips (jay) (retired) 2014-11-21 17:29:08 UTC
We discussed the shortcut issue in the design meeting and decided to go with Shift+F7. Shift+F7 is only used in calc for 'Trace Precedents', so this should be shifted to something else like Shift+F9.
Comment 16 Yousuf Philips (jay) (retired) 2014-11-24 06:33:12 UTC
Patch submitted for shortcut - https://gerrit.libreoffice.org/13088
Comment 17 Commit Notification 2014-11-25 11:27:24 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=51a572f218cb49e2c3aabdc7e6a7dc47e56c4ded

fdo#82969 add global shortcut for autospellcheck

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2014-11-25 15:40:40 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a11baa0a3478048a6a8797aa4812cb25c03df57e&h=libreoffice-4-4

fdo#82969 add global shortcut for autospellcheck

It will be available in 4.4.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.